Subject: Re: bug#78662: feature/igc: [PATCH] Make buffer_local_symbols exact roots

From: Pip Cet <[email-masked]>
Date: Sun, 01 Jun 2025 09:29:55 +0000

"Helmut Eller" <[email-masked]> writes:

> Tracing buffer_local_symbols and buffer_defaults exactly as in
> the patch seems to work.

Thanks.  I see no reason why it wouldn't work, and it doesn't crash, so
I've pushed it and am closing the bug.

I did note that buffer_defaults.text changes from NULL to
&buffer_defaults.own_text on the first scan, but this seems harmless to
me.

If these strange objects (no MPS header, these two have a vectorlike
header but buffer_local_flags doesn't, not necessarily lisp-aligned)
cause any trouble, we could always allocate them on the MPS heap, giving
us the very slight benefit of putting some words behind a barrier.

Pip